

/*This rotates all treatments so that they look like R(0)*/

gen     o_messageA1 = n_messageA1 if (Treatment==1 | Treatment==4)
replace o_messageA1 = (sin(0.78539816339745))*n_messageA2 + (cos(0.78539816339745))*n_messageA1 if (Treatment==3 | Treatment==5 | Treatment==6 ) 
replace o_messageA1 = (sin(0.5235987755983))*n_messageA2 +(cos(0.5235987755983))*n_messageA1 if (Treatment==2)


gen     o_messageA2 = n_messageA2 if (Treatment==1 | Treatment==4)
replace o_messageA2 = (cos(0.78539816339745))*n_messageA2 - (sin(0.78539816339745))*n_messageA1 if ( Treatment==3 | Treatment==5 | Treatment==6)
replace o_messageA2 = (cos(0.5235987755983))*n_messageA2 - (sin(0.5235987755983))*n_messageA1 if (Treatment==2)


gen     o_messageB1 = n_messageB1 if (Treatment==1 | Treatment==4)
replace o_messageB1 = (sin(0.78539816339745))*n_messageB2 + (cos(0.78539816339745))*n_messageB1 if (Treatment==3 | Treatment==5 |Treatment==6 )
replace o_messageB1 = (sin(0.5235987755983))*n_messageB2 + (cos(0.5235987755983))*n_messageB1 if (Treatment==2)


gen     o_messageB2 = n_messageB2 if (Treatment==1 | Treatment==4)
replace o_messageB2 = (cos(0.78539816339745))*n_messageB2 - (sin(0.78539816339745))*n_messageB1 if (Treatment==3 | Treatment==5 |Treatment==6 )
replace o_messageB2 = (cos(0.5235987755983))*n_messageB2 - (sin(0.5235987755983))*n_messageB1 if (Treatment==2)


gen     u_message1 =  o_messageA1 if n_roleID==2
replace u_message1 =  o_messageB2 if n_roleID==3 


gen     u_message2 =  o_messageA2 if n_roleID==2 
replace u_message2 =  o_messageB1 if n_roleID==3 

keep if role==2

sort subject_id Period

*gen h which is the subject's round as a sender
gen h = 1             if subject_id==1 & Period==1
replace h = 1         if subject_id!=subject_id[_n-1]
replace h = h[_n-1]+1 if subject_id==subject_id[_n-1]

keep subject_id u_message1 u_message2 Treatment h Period
sort Treatment subject_id Period
outsheet subject_id u_message1 u_message2 Treatment h Period using "./data/csvSenderN.csv", comma nonames replace

